# Zaero's Custom Tilesets


Custom tilesets that can be mixed with vanilla tilesets to expand the possibilities for expeditions.

---
#### AVAILABLE TILESETS

1. CAVES
- 4 tiles currently available, 1 has a variant. This tileset works best when paired with Digsite.
- Intentionally dark in most areas. Bring a flashlight.
- High verticality.


---
#### Prefabs to add to Complex Resources:
```
{
   "Prefab": "Assets/CustomAssets/Geomorphs/Content/geo_64x64_mining_cave_PZ_01.prefab",
   "SubComplex": 0,
   "Shard": 4
},
{
   "Prefab": "Assets/CustomAssets/Geomorphs/Content/geo_64x64_mining_cave_PZ_02.prefab",
   "SubComplex": 0,
   "Shard": 4
},
{
   "Prefab": "Assets/CustomAssets/Geomorphs/Content/geo_64x64_mining_cave_PZ_02_X.prefab",
   "SubComplex": 0,
   "Shard": 4
},
{
   "Prefab": "Assets/CustomAssets/Geomorphs/Content/geo_64x64_mining_cave_PZ_I_01.prefab",
   "SubComplex": 0,
   "Shard": 4
},
{
   "Prefab": "Assets/CustomAssets/Geomorphs/Content/geo_64x64_mining_cave_PZ_03.prefab",
   "SubComplex": 0,
   "Shard": 4
}

```

---
## Screenshots

### **Cave 01**

#### Notes
- This is an X tile; security doors can spawn on all 4 sides.
- A generator cluster objective can be used, it will spawn in the lower cave.

| Main Entrance | Generator Cluster Area |
| :-: | :-: |
|<img src="https://i.imgur.com/RtTkvqt.png" width="400" height="400" />|<img src="https://i.imgur.com/wIDGOUk.png" width="400" height="400" />
| Tunnel Area | High Ledge |
<img src="https://i.imgur.com/dCBEmCs.png" width="400" height="400" /> | <img src="https://i.imgur.com/gZiiBYc.png" width="400" height="400" /> |

---
### **Cave 02**

#### Notes
- This is a T tile; security doors can only spawn on the front and sides.

| Entrance Ramp | Upper Ramp |
| :-: | :-: |
|<img src="https://i.imgur.com/i16mIUF.png" width="400" height="400" />|<img src="https://i.imgur.com/SCWs35b.png" width="400" height="400" />
| Middle Island | Wall Dweller |
<img src="https://i.imgur.com/GaVOnEI.png" width="400" height="400" /> | <img src="https://i.imgur.com/xHMmBtz.png" width="400" height="400" /> |

---
### **Cave 02 X**

#### Notes
- This is an X tile version of Cave 02; security doors can spawn on all 4 sides.
- There is now a path leading from the Middle Island to the 4th security door.
- X version is flipped 180 degrees so you enter from the new security door instead of the front.

---
### **Cave I 01**

#### Notes
- This is an I tile; security doors can only spawn forward and backward.

| Path to Entrance | Lower Section Ramp |
| :-: | :-: |
|<img src="https://i.imgur.com/Bm9dQfv.png" width="400" height="400" />|<img src="https://i.imgur.com/WUXmoLF.png" width="400" height="400" />
| Ladder | Ramp to Ladder |
<img src="https://i.imgur.com/tqATCIS.png" width="400" height="400" /> | <img src="https://i.imgur.com/PkP2Ii3.png" width="400" height="400" /> |

---
### **Cave 03**

#### Notes
- This is an X tile; security doors can spawn on all 4 sides.
- This is the first cave tile with more than 1 room. This tile has 2 rooms that can generate.

| Bottomless Pit | Entrance to Main Area |
| :-: | :-: |
|<img src="https://i.imgur.com/vDUIvMt.png" width="400" height="400" />|<img src="https://i.imgur.com/krDi1HM.png" width="400" height="400" />
| Main Room | Ramp to Ladder |
<img src="https://i.imgur.com/uYuuoqd.png" width="400" height="400" /> | <img src="https://i.imgur.com/d8IAU9V.png" width="400" height="400" /> |

---

## How to use
1) Install the mod
2) Add the tiles you wish to use to the corresponding section of `ComplexResourceSet` of the respective environment
3) Reference the tile like you would any other!

Contact [Project Zaero#9999](https://discord.gg/rRMPtv4FAh) on the discord if you find any issues.

---
## Patch Notes
0.0.6
- Updated Cave 02 + Cave 02 X with zone signs.
- Added Cave 03.

0.0.5
- Added Cave I 01.

0.0.4
- Added Cave 02 X, a 4-way version of the same tile.

0.0.3
- Fixed mod category.

0.0.2
 - Added Cave 02.

0.0.1
 - Initial Release.